import request from '@/utils/request'

// 查询短链课程流量记录列表
export function listCourseTrafficLog(query) {
  return request({
    url: '/course/courseTrafficLog/list',
    method: 'get',
    params: query
  })
}

// 查询短链课程流量记录详细
export function getCourseTrafficLog(logId) {
  return request({
    url: '/course/courseTrafficLog/' + logId,
    method: 'get'
  })
}

// 新增短链课程流量记录
export function addCourseTrafficLog(data) {
  return request({
    url: '/course/courseTrafficLog',
    method: 'post',
    data: data
  })
}

// 修改短链课程流量记录
export function updateCourseTrafficLog(data) {
  return request({
    url: '/course/courseTrafficLog',
    method: 'put',
    data: data
  })
}

// 删除短链课程流量记录
export function delCourseTrafficLog(logId) {
  return request({
    url: '/course/courseTrafficLog/' + logId,
    method: 'delete'
  })
}

// 导出短链课程流量记录
export function exportCourseTrafficLog(query) {
  return request({
    url: '/course/courseTrafficLog/export',
    method: 'get',
    params: query
  })
}